/* $Id: compress.h,v 1.4 1999/06/25 05:52:53 levitte Exp $ */

#ifndef COMPRESS_H

#include "ssh.h"
#include "buffer.h"

void compress_init(ssh_iob *iob, int level);
void compress_deinit(ssh_iob *iob);
void decompress_init(ssh_iob *iob);
void decompress_deinit(ssh_iob *iob);
general_buffer *compress_buffer(ssh_iob *iob, void *inbuf, int l);
general_buffer *decompress_buffer(ssh_iob *iob, void *inbuf, int l);

#define COMPRESS_H
#endif

/* Emacs local variables

Local variables:
eval: (set-c-style "BSD")
end:

*/
